Functions
Initialization and de-initialization functions
Peripheral Driver » LL Driver » DUAL_TIMER » Functions
Collaboration diagram for Initialization and de-initialization functions:

## Functions
error_status_t | ll_dual_timer_deinit (dual_timer_regs_t *DUAL_TIMERx)
| De-initialize DUAL_TIMER registers (Registers restored to their default values). More...
error_status_t | ll_dual_timer_init (dual_timer_regs_t *DUAL_TIMERx, ll_dual_timer_init_t *p_dual_timer_init)
| Initialize DUAL_TIMER registers according to the specified parameters in p_dual_timer_init. More...
void | ll_dual_timer_struct_init (ll_dual_timer_init_t *p_dual_timer_init)
| Set each field of a ll_dual_timer_init_t type structure to default value. More...

## Detailed Description

## Function Documentation

## ◆ ll_dual_timer_deinit()

error_status_t ll_dual_timer_deinit | ( | dual_timer_regs_t * | DUAL_TIMERx | ) |

De-initialize DUAL_TIMER registers (Registers restored to their default values).

Parameters

  DUAL_TIMERx | DUAL_TIM instance

Return values

  An | error_status_t enumeration value: SUCCESS: DUAL_TIMER registers are de-initialized ERROR: DUAL_TIMER registers are not de-initialized

## ◆ ll_dual_timer_init()

error_status_t ll_dual_timer_init | ( | dual_timer_regs_t * | DUAL_TIMERx,
|  | ll_dual_timer_init_t * | p_dual_timer_init
| ) |  |

Initialize DUAL_TIMER registers according to the specified parameters in p_dual_timer_init.

Parameters

  DUAL_TIMERx | DUAL_TIMER instance
  p_dual_timer_init | Pointer to a ll_dual_timer_init_t structure that contains the configuration information for the specified DUAL_TIMER peripheral.

Return values

  An | error_status_t enumeration value: SUCCESS: DUAL_TIMER registers are initialized according to p_dual_timer_init content ERROR: Problem occurred during DUAL_TIM Registers initialization

## ◆ ll_dual_timer_struct_init()

void ll_dual_timer_struct_init | ( | ll_dual_timer_init_t * | p_dual_timer_init | ) |

Set each field of a ll_dual_timer_init_t type structure to default value.

Parameters

  p_dual_timer_init | Pointer to a ll_dual_timer_init_t structure whose fields will be set to default values.

Return values

  None |